notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)

/commits.php is going away

I'm proposing to take /commits.php away - it mainly duplicates the home page. Details in this GitHub issue.
non port: devel/geany-plugins/files/bsd.geany-plugins.mk
SVNWeb

Number of commits found: 22

Sun, 10 Oct 2021
[ 16:24 madpilot (Guido Falsi) ]    commit hash:4bd337ab28a043705522586bd2d4fff8fa95d707  4bd337a  (Only the first 10 of 21 ports in this commit are shown above. View all ports for this commit)
devel/geany*: Update to 1.38

- Removed flavoring, upstream dropped gtk2 support, so the ports
  are now gtk3 only
- Removed geany-plugin-multiterm that is gtk2 only and cannot work
  with gtk3 only geany
- Use https scheme for main master site
Tue, 6 Apr 2021
[ 14:31 mat (Mathieu Arnold) ]    commit hash:135fdeebb99c3569e42d8162b265e15d29bd937d  135fdee  (Only the first 10 of 2028 ports in this commit are shown above. View all ports for this commit)
all: Remove all other $FreeBSD keywords.
Mon, 26 Oct 2020
[ 08:54 madpilot ] Original commit   Revision:553326
- Update geany and geany-plugins to 1.37
- Remove patches included upstream

NOTE: after this release the geany project is phasing out GTK2
support. Most probably the next release will be GTK3 only, and any
plugins not ported to GTK3 will be removed.
Thu, 15 Oct 2020
[ 17:22 madpilot ] Original commit   Revision:552430
Remove expired port: devel/geany-plugin-geanypy

Uses deprecated version of python.
Mon, 30 Sep 2019
[ 11:40 madpilot ] Original commit   Revision:513369
Update geany and geany-plugins to 1.36.

The geany-plugin-debugger port now supports gtk3 and has a gtk3 flavor.
Tue, 30 Apr 2019
[ 08:53 madpilot ] Original commit   Revision:500466
- Update geany to 1.35
- Update geany-plugins to 1.35
Mon, 25 Feb 2019
[ 21:27 madpilot ] Original commit   Revision:493898
- Deprecate geany pplugins devhelp and webhelper. They depend on
  deprecated and forbidden webkit. Set same expiration date
- Markdown geany plugin now available only in gtk3 flavor, the gtk2
  flavor depends on deprecated and forbidden webkit-gtk2
- Update geany-plugins port to not depend on deprecated modules

NOTE: these plugins can be added back in the future, once upstream
converts them to work with a supported webkit version.

Approved by:	portmgr (FLAVORS already approved)
Tue, 18 Dec 2018
[ 14:34 madpilot ] Original commit   Revision:487752 (Only the first 10 of 17 ports in this commit are shown above. View all ports for this commit)
- Update geany to 1.34
- Update geany-plugins to 1.34
- Add new vimode geany plugin
- Scope plugin now supports gtk3
- Regenerate one patch and rename to conform to rules
> Description of fields to fill in above:                     76 columns --|
> PR:                       If and which Problem Report is related.
> Submitted by:             If someone else sent in the change.
> Reported by:              If someone else reported the issue.
> Reviewed by:              If someone else reviewed your modification.
> Approved by:              If you needed approval for this commit.
> Obtained from:            If the change is from a third party.
> MFC after:                N [day[s]|week[s]|month[s]].  Request a reminder
email.
> MFH:                      Ports tree branch name.  Request approval for merge.
> Relnotes:                 Set to 'yes' for mention in release notes.
(Only the first 15 lines of the commit message are shown above View all of this commit message)
Sun, 9 Dec 2018
[ 17:29 madpilot ] Original commit   Revision:487062 (Only the first 10 of 14 ports in this commit are shown above. View all ports for this commit)
- Add gtk2 and gtk3 flavors to geany ports
- Make gtk3 the default

NOTE: some plugins are gtk2 only, please check UPDATING.

PR:			226523
Submitted by:		Greg V <greg@unrelenting.technology>
Reviewed by:		mat
Approved by:		portmgr (mat)
Differential Revision:	https://reviews.freebsd.org/D18018
Mon, 26 Feb 2018
[ 18:50 madpilot ] Original commit   Revision:463036
- Update geany and its plugins to 1.33
Tue, 21 Nov 2017
[ 18:09 madpilot ] Original commit   Revision:454622
Fix typo.
[ 17:59 madpilot ] Original commit   Revision:454620 (Only the first 10 of 51 ports in this commit are shown above. View all ports for this commit)
- Update devel/geany and it's plugins to 1.32
- Added new "workbench" plugin
- Added utilslib special plugin to install an extra library and
  some code to handle the dependency in the common Makefile
- Update project home pages to use https (thanks to amdmi3)
- Projectorganizer plugin dropped custom icons, using stock ones now
Tue, 18 Jul 2017
[ 07:18 madpilot ] Original commit   Revision:446127 (Only the first 10 of 14 ports in this commit are shown above. View all ports for this commit)
- Update devel/geany to 1.31
- Update geany plugins to 1.31
- Add missing dependencies reported by poudriere
Tue, 7 Mar 2017
[ 09:29 madpilot ] Original commit   Revision:435587
Update devel/geany and it's pluginsd to 1.30

Release Notes: http://www.geany.org/Documentation/ReleaseNotes
Mon, 14 Nov 2016
[ 17:59 madpilot ] Original commit   Revision:426127
- Update geany and geany-plugins to 1.29
- Convert to USES=localbase
- geanylipsum plugin renamed to lipsum
Tue, 12 Jul 2016
[ 12:44 madpilot ] Original commit   Revision:418421
- Update to 1.28
- geanysendmail module renamed to sendmail
Mon, 6 Jun 2016
[ 16:20 madpilot ] Original commit   Revision:416471 (Only the first 10 of 14 ports in this commit are shown above. View all ports for this commit)
- Update devel/geany and devel/geany-plugins* to 1.27
- Remove patch included upstream
- Add devel/geany-plugin-lineoperations for new module

PR:		209490
Submitted by:	me
Approved by:	maintainer timeout
Mon, 31 Aug 2015
[ 08:57 makc ] Original commit   Revision:395656 (Only the first 10 of 41 ports in this commit are shown above. View all ports for this commit)
devel/geany:
- Update to 1.25
- Use install-strip target to strip binaries

devel/geany-plugin*:
- Update to 1.25. geany-plugin-gproject was renamed to
  geany-plugin-projectorganizer
  New plugins added:
   geany-plugin-automark
   geany-plugin-ctags
   geany-plugin-git-changebar
   geany-plugin-markdown
   geany-plugin-overview
- Drop obsolete patches
- Use install-strip target to strip binaries
- Enable verbose build on package cluster
Sun, 8 Mar 2015
[ 18:43 makc ] Original commit   Revision:380787 (Only the first 10 of 61 ports in this commit are shown above. View all ports for this commit)
devel/geany:
- Update to 1.24.1
- Fix build without NLS option [1]
- Convert to options helpers

devel/geany-plugin*:
- Update to 1.24, add new plugins:
   geany-plugin-autoclose
   geany-plugin-defineformat
   geany-plugin-geanypy
   geany-plugin-pairtaghighlighter
   geany-plugin-pohelper
- Fix build without NLS option

Reported by:	Kamil Szczesny <mailto.kamils@gmail.com> [1]
Thu, 21 Mar 2013
[ 14:43 makc ] Original commit   Revision:314846 (Only the first 10 of 52 ports in this commit are shown above. View all ports for this commit)
- Update Geany and plugins to 1.23
- Add ports for new plugins (commander, scope) and localization forgotten
  after splitting (geany-plugins-l10n). geanyGDB plugin has been removed
  upstream. markdown plugin excluded from ports as it requires currently
  missing port for libmarkdown.
- Patch configure script and remove build dependence on shells/bash
Wed, 20 Mar 2013
[ 16:36 makc ] Original commit   Revision:314744
Reformat one plugin per line, to make future updates plain
Sat, 6 Oct 2012
[ 18:21 makc ] Original commit   Revision:305393 (Only the first 10 of 130 ports in this commit are shown above. View all ports for this commit)
- Update to 0.21 [1]
- Update to 1.22 and split into geany-plugin-* ports
- Convert to new options framework
- Take maintainership

PR:		ports/165494 [1],
		ports/171856
Submitted by:	Marco Trentini <marco at datasked.com> [1]
Approved by:	maintainer timeouts (2 weeks for ports/171856)

Number of commits found: 22